RESTinio

Public Member Functions | Private Attributes | List of all members
restinio::connection_count_limits::noop_connection_count_limiter_t Class Reference

An implementation of connection count limiter for the case when connection count is not limited. More...

`#include <connection_count_limiter.hpp>`

## Public Member Functions
| noop_connection_count_limiter_t (not_null_pointer_t< connection_count_limits::impl::acceptor_callback_iface_t > acceptor, max_parallel_connections_t, max_active_accepts_t)
void | increment_parallel_connections () noexcept
void | decrement_parallel_connections () noexcept
void | accept_next (std::size_t index) noexcept

## Private Attributes
not_null_pointer_t< connection_count_limits::impl::acceptor_callback_iface_t > | m_acceptor

## Detailed Description

An implementation of connection count limiter for the case when connection count is not limited.

Since
  v.0.6.12

Definition at line 270 of file connection_count_limiter.hpp.

## Constructor & Destructor Documentation

## ◆ noop_connection_count_limiter_t()

restinio::connection_count_limits::noop_connection_count_limiter_t::noop_connection_count_limiter_t | ( | not_null_pointer_t< connection_count_limits::impl::acceptor_callback_iface_t > | acceptor,
|  | max_parallel_connections_t | ,
|  | max_active_accepts_t |
| ) |  |
| inline

Definition at line 275 of file connection_count_limiter.hpp.

## Member Function Documentation

## ◆ accept_next()

void restinio::connection_count_limits::noop_connection_count_limiter_t::accept_next | ( | std::size_t | index | ) |
| inline noexcept

Calls acceptor_callback_iface_t::call_accept_now() directly. The index is never stored anywhere.

Definition at line 294 of file connection_count_limiter.hpp.

## ◆ decrement_parallel_connections()

void restinio::connection_count_limits::noop_connection_count_limiter_t::decrement_parallel_connections | ( |  | ) |
| inline noexcept

Definition at line 287 of file connection_count_limiter.hpp.

## ◆ increment_parallel_connections()

void restinio::connection_count_limits::noop_connection_count_limiter_t::increment_parallel_connections | ( |  | ) |
| inline noexcept

Definition at line 284 of file connection_count_limiter.hpp.

## Member Data Documentation

## ◆ m_acceptor

not_null_pointer_t< connection_count_limits::impl::acceptor_callback_iface_t > restinio::connection_count_limits::noop_connection_count_limiter_t::m_acceptor
| private

Definition at line 272 of file connection_count_limiter.hpp.

The documentation for this class was generated from the following file:

- restinio/connection_count_limiter.hpp